import type { InjectionKey } from "vue";
/**
 * @example
 * ```
 * Channel selection (Stable/Beta/Nightly)
 * Rust Edition (2015/2018/2021)
 * Build Mode (Debug/Release)
 * Crate Type (Binary/Library)
 * Test Runner toggle
 * Backtrace toggle
 * ```
 */
export interface Options {
    channel?: "stable" | 'beta' | 'nightly';
    edition?: "2015" | '2018' | '2021' | '2024';
    mode?: "debug" | "release";
    crateType?: "bin" | 'lib';
    tests?: boolean;
    backtrace?: boolean;
}
export interface OtherComponentProps {
    maxHeight?: string;
}
export declare const InjectPlayKey: InjectionKey<Options & OtherComponentProps>;
export declare const defaultConfig: Options;
