"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.runRustCode = runRustCode;
var _config = require("./config");
var _utils = require("./utils");
function getEdition(edition) {
  if (edition.includes("2018")) {
    edition = "2018";
  } else if (edition.includes("2021")) {
    edition = "2021";
  }
  return edition;
}
async function runRustCode({
  code,
  options
}) {
  const params = {
    code,
    ..._config.defaultConfig,
    ...options
  };
  if (code.indexOf("#![feature") !== -1) {
    params.channel = "nightly";
  }
  return (0, _utils.fetchWithTimeout)("https://play.rust-lang.org/execute", {
    headers: {
      "Content-Type": "application/json"
    },
    method: "POST",
    mode: "cors",
    body: JSON.stringify(params)
  }).then(async response => {
    const result = await response.json();
    if (result.error) {
      return {
        stderr: result.error,
        success: false
      };
    }
    return result;
  });
}