import { defaultConfig } from "./config.mjs";
import { fetchWithTimeout } from "./utils.mjs";
function getEdition(edition) {
  if (edition.includes("2018")) {
    edition = "2018";
  } else if (edition.includes("2021")) {
    edition = "2021";
  }
  return edition;
}
export async function runRustCode({ code, options }) {
  const params = {
    code,
    ...defaultConfig,
    ...options
  };
  if (code.indexOf("#![feature") !== -1) {
    params.channel = "nightly";
  }
  return fetchWithTimeout("https://play.rust-lang.org/execute", {
    headers: {
      "Content-Type": "application/json"
    },
    method: "POST",
    mode: "cors",
    body: JSON.stringify(params)
  }).then(async (response) => {
    const result = await response.json();
    if (result.error) {
      return {
        stderr: result.error,
        success: false
      };
    }
    return result;
  });
}
