import MarkdownIt from 'markdown-it/index.mjs';

/**
 * @example
 * ```
 * Channel selection (Stable/Beta/Nightly)
 * Rust Edition (2015/2018/2021)
 * Build Mode (Debug/Release)
 * Crate Type (Binary/Library)
 * Test Runner toggle
 * Backtrace toggle
 * ```
 */
interface Options {
    channel?: "stable" | 'beta' | 'nightly';
    edition?: "2015" | '2018' | '2021' | '2024';
    mode?: "debug" | "release";
    crateType?: "bin" | 'lib';
    tests?: boolean;
    backtrace?: boolean;
}

declare const rustPlaygroundPlugin: (md: MarkdownIt, options?: Options) => void;

export { type Options as rustPlaygroundOptions, rustPlaygroundPlugin };
