import type { Options } from "./config";
export type LangType = "rust" | "ts";
/**
 * 解析信息
 *
 * @param info 要解析的字符串信息,例如 rust,{version:"stable",edition:"2021"}
 * @returns 无返回值，该函数主要用于处理内部逻辑
 */
export declare const getCodeConfig: (configRaw: string) => Options | null;
export declare const isRustCode: (html: string) => boolean;
export declare const isShellCode: (html: string) => boolean;
export declare const checkCodeIntegrity: (lang: string, rawCode: string) => boolean;
export declare function fetchWithTimeout(url: string, options: RequestInit, timeout?: number): Promise<unknown>;
export declare function boolify(obj: any): any;
